Subject: Re: Relocatable dll problems when generated by ld
From: [email-masked] (William Greathouse)

11 Jul 1997 14:39:14 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
>Received: from iago by mailserv.smva.com (AIX 3.2/UCB 5.64/4.03)
          id AA15167; Fri, 11 Jul 1997 08: 48:52 -0400
X-Mailer: Mozilla 4.0b5 [en] (Win95; I)
Original-To: Jon Thackray <[email-masked]>
Original-Cc: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Jon Thackray wrote:
> 
> It appears that relocatable dlls as produced by ld aren't quite right,
> at least in some cases. Here is what dumpbin had to say about one I
> produced.

.... details removed ... 
 
> Apart from the problem of some funny names, and a pointer going
> outside the file, there is a problem with the names Init_dylan_ and
> dylan_init_thread_local both of which have an extra _ as produced by
> ld. Given that these names do not appear anywhere in the input to link
> or ld without the spare _, I can only assume that ld is doing some
> mangling of the COFF symbol names when producing its import and export
> tables, and that ld is not emulating this behaviour.

Try running my "peclean" utility on the DLL.  It should correct the 
pointer going outside the file.  If it does not, would it be possible
for you to send me a copy of the offending DLL to examine?

Thanks,
Bill
-- 
William Greathouse                | [email-masked]  Email
SMV America, Engineering          | [email-masked]        Email
8380 Darrow Road                  | (216) 425-1340 x4006  Voice
Twinsburg, OH  44087              | (216) 405-7684        FAX

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".